#
#  Copyright (c) 2016 Intel Corporation. All Rights Reserved.
#
#  Portions of the source code contained or described herein and all documents related
#  to portions of the source code ("Material") are owned by Intel Corporation or its
#  suppliers or licensors.  Title to the Material remains with Intel
#  Corporation or its suppliers and licensors.  The Material contains trade
#  secrets and proprietary and confidential information of Intel or its
#  suppliers and licensors.  The Material is protected by worldwide copyright
#  and trade secret laws and treaty provisions.  No part of the Material may
#  be used, copied, reproduced, modified, published, uploaded, posted,
#  transmitted, distributed, or disclosed in any way without Intel's prior
#  express written permission.
#
#  No license under any patent, copyright, trade secret or other intellectual
#  property right is granted to or conferred upon you by disclosure or
#  delivery of the Materials, either expressly, by implication, inducement,
#  estoppel or otherwise. Any license under such intellectual property rights
#  must be express and approved by Intel in writing.
#
from distutils.core import setup
from Cython.Build import cythonize
from distutils.extension import Extension
from Cython.Distutils import build_ext

setup( 
  name = "multithreads",
  cmdclass = {"build_ext": build_ext},
  ext_modules = 
  [
    Extension("multithreads",
              ["multithreads.pyx"],
              extra_compile_args = ["-O0", "-fopenmp"],
              extra_link_args=['-fopenmp']
              )
  ]
)
